# DialectString Interface Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Basis for almost all implementations of SQL parts. More...

Inheritance diagram for DialectString:
[legend]

List of all members.

## Public Member Functions

| toDialectString (Dialect $dialect)

## Detailed Description

Basis for almost all implementations of SQL parts.

Definition at line 18 of file DialectString.class.php.

## Member Function Documentation

DialectString::toDialectString | ( | Dialect $ | dialect | ) |

Implemented in Date, BinaryExpression, EqualsLowerExpression, InExpression, LogicalBetween, PostfixUnaryExpression, PrefixUnaryExpression, DataType, DBBinary, DBColumn, DBField, DBRaw, DBTable, DBValue, DeleteQuery, ExtractPart, FieldGroup, FieldTable, FromTable, FullTextRank, FullTextSearch, GroupBy, InsertOrUpdateQuery, InsertQuery, Joiner, OrderBy, OrderChain, QueryCombination, SQLArray, and SQLChain.

Referenced by DebugUtils::eq(), Sequenceless::query(), DB::query(), DB::queryNull(), and QueryIdentification::toString().

The documentation for this interface was generated from the following file:

- core/OSQL/DialectString.class.php